<template>
	<div class="shadow-wrap" :style='{...widgetWrapperStyle}'>
		<div class="shadow-bottom" :style='transitionStyle'></div>
	</div>
</template>


<style scoped>
.shadow-bottom {
	background: linear-gradient(0deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 33.85%, rgba(0, 0, 0, 0) 71.35%);
	position: absolute;
	width: 100%;
	height: 20%;
	bottom: 0;
}

.shadow-bottom.solid {
	background: black;
	height: 4.4em;
}
</style>

<script>

import {positionMixin} from '../helpers/widgets.mjs'

export default {
	mixins: [positionMixin],
}

</script>
